diff --git a/licenses/gpl-howto.pt-br.po b/licenses/gpl-howto.pt-br.po
index 15770e7..ed91ca2 100644
--- a/licenses/gpl-howto.pt-br.po
+++ b/licenses/gpl-howto.pt-br.po
@@ -1,56 +1,37 @@
-# Brazilian Portuguese translation of http://licenses/gpl-howto.html
-# Copyright (C) 2001 Free Software Foundation, Inc.
-# This file is distributed under the same license as the PACKAGE package.
+# Brazilian Portuguese translation of http://www.gnu.org/licenses/gpl-howto.html
+# Copyright (C) 2016 Free Software Foundation, Inc.
+# This file is distributed under the same license as the original article.
 # Hélder M. Botter Ribas, 2001.
 # Jan 2015: GNUNify and trivially update a few strings (T. Godefroy).
-#
+# Rafael Fontenelle <rafaelff@gnome.org>, 2016.
 msgid ""
 msgstr ""
 "Project-Id-Version: gpl-howto.html\n"
 "POT-Creation-Date: 2014-04-05 00:01+0000\n"
-"PO-Revision-Date: 2015-01-20 21:20+0100\n"
-"Last-Translator: Thérèse Godefroy <godef.th AT free.fr>\n"
-"Language-Team: web-translators <web-translators@gnu.org>\n"
+"PO-Revision-Date: 2016-12-26 06:24-0200\n"
+"Last-Translator: Rafael Fontenelle <rafaelff@gnome.org>\n"
+"Language-Team: Brazilian Portuguese <www-pt-br-general@gnu.org>\n"
 "Language: pt_BR\n"
 "MIME-Version: 1.0\n"
 "Content-Type: text/plain; charset=utf-8\n"
 "Content-Transfer-Encoding: 8bit\n"
+"Plural-Forms: nplurals=2; plural=(n > 1);\n"
+"X-Generator: Virtaal 1.0.0-beta1\n"
 "Outdated-Since: 2002-06-12 12:31+0000\n"
 
 #. type: Content of: <title>
-# | How to use [-the GPL or LGPL-] {+GNU licenses for your own software+} -
-# | GNU Project - Free Software Foundation
-#, fuzzy
-#| msgid "How to use the GPL or LGPL - GNU Project - Free Software Foundation"
 msgid ""
 "How to use GNU licenses for your own software - GNU Project - Free Software "
 "Foundation"
 msgstr ""
-"Como usar as licenças GPL ou LGPL - Projeto GNU - Free Software Foundation"
+"Como usar as licenças GPL para seu próprio software - Projeto GNU - Free "
+"Software Foundation"
 
 #. type: Content of: <h2>
-# | How to use [-the GPL or LGPL-] {+GNU licenses for your own software+}
-#, fuzzy
-#| msgid "How to use the GPL or LGPL"
 msgid "How to use GNU licenses for your own software"
-msgstr "Como usar as licenças GPL ou LGPL"
+msgstr "Como usar as licenças GPL para seu próprio software"
 
 #. type: Content of: <p>
-# | This is a brief explanation of how to place a program under the <a
-# | href=\"/licenses/gpl.html\">GNU General Public [-License</a> or the-]
-# | {+License</a>,+} <a href=\"/licenses/lgpl.html\">Lesser General Public
-# | {+License</a>, or <a href=\"/licenses/agpl.html\">Affero General Public+}
-# | License</a>.  [-(The Lesser GPL, also called-]  {+For+} the [-LGPL, has
-# | superseded the Library GPL, which was also called the LGPL.)-] {+<a
-# | href=\"/licenses/fdl.html\">GNU Free Documentation License</a>, we have a
-# | <a href=\"/licenses/fdl-howto.html\">separate page</a>.+}
-#, fuzzy
-#| msgid ""
-#| "This is a brief explanation of how to place a program under the <a href="
-#| "\"/licenses/gpl.html\">GNU General Public License</a> or the <a href=\"/"
-#| "licenses/lgpl.html\">Lesser General Public License</a>.  (The Lesser GPL, "
-#| "also called the LGPL, has superseded the Library GPL, which was also "
-#| "called the LGPL.)"
 msgid ""
 "This is a brief explanation of how to place a program under the <a href=\"/"
 "licenses/gpl.html\">GNU General Public License</a>, <a href=\"/licenses/lgpl."
@@ -60,10 +41,11 @@ msgid ""
 "howto.html\">separate page</a>."
 msgstr ""
 "Esta é uma breve explicação de como colocar um programa sob a <a href=\"/"
-"licenses/gpl.html\"> Licença Pública Geral GNU (GPL</a>) ou sob a <a href=\"/"
-"licenses/lgpl.html\">Licença Pública Geral Menor (LGPL)</a>. (A GPL menor, "
-"ou também chamada LGPL, esta suplantando a GPL de Bibliotecas, a qual também "
-"é chamada LGPL.)"
+"licenses/gpl.html\"> Licença Pública Geral GNU (GPL)</a>, <a href=\"/"
+"licenses/lgpl.html\">Licença Pública Geral Menor (LGPL)</a> ou <a href=\"/"
+"licenses/agpl.html\">Licença Pública Geral Affero (AGPL)</a>. Para a <a href="
+"\"/licenses/fdl.html\">Licença de Documentação Livre GNU (FDL)</a>, nós "
+"temos uma <a href=\"/licenses/fdl-howto.html\">página separada</a>."
 
 #. type: Content of: <p>
 msgid ""
@@ -71,6 +53,9 @@ msgid ""
 "of <a href=\"/licenses/gpl-faq.html\">frequently asked questions about our "
 "licenses</a>."
 msgstr ""
+"Se você está procurando por informações mais detalhadas, considere examinar "
+"nossa lista de <a href=\"/licenses/gpl-faq.html\">perguntas frequentes sobre "
+"nossas licenças</a>."
 
 #. type: Content of: <p>
 msgid ""
@@ -80,11 +65,11 @@ msgid ""
 "explains why it may be better to use the ordinary GPL instead, and how we "
 "would make the decision."
 msgstr ""
-"Se você está considerando poder usar a Licença Pública Geral Menor GNU, por "
-"favor, leia antes o artigo “<a href=\"/philosophy/why-not-lgpl.html\">Por "
-"que você não deve usar a LGPL para a sua próxima biblioteca</a>”. O artigo "
-"explica porque ela pode ser melhor para ser usada ao invés da GPL comum, e "
-"como nós devemos tomar esta decisão."
+"Se você está considerando usar a Licença Pública Geral Menor GNU, por favor, "
+"leia antes o artigo “<a href=\"/licenses/why-not-lgpl.html\">Por que você "
+"não deve usar a LGPL para a sua próxima biblioteca</a>”. O artigo explica "
+"por que pode ser melhor usar a GPL comum, e como nós devemos tomar esta "
+"decisão."
 
 #. type: Content of: <p>
 msgid ""
@@ -94,10 +79,10 @@ msgid ""
 "saying that the program is distributed under the terms of the GNU General "
 "Public License (or the Lesser GPL)."
 msgstr ""
-"Seja qual licença você planeja usar; o processo envolve a adição de dois "
-"elementos em cada arquivo fonte do seu programa: um aviso de copyright (como "
-"<cite>Copyright 1999 Terry Jones</cite>), e uma declaração que permite a "
-"cópia, dizendo que o programa é distribuido sobre os termos da Licença "
+"Seja qual licença você planeja usar, o processo envolve a adição de dois "
+"elementos em cada arquivo fonte do seu programa: uma nota de copyright (como "
+"\"<cite>Copyright 1999 Terry Jones</cite>\") e uma declaração de permissão "
+"de cópia, dizendo que o programa é distribuído sobre os termos da Licença "
 "Pública Geral GNU (ou da GPL Menor)."
 
 #. type: Content of: <p>
@@ -109,12 +94,12 @@ msgid ""
 "finished in 1998 and some were finished in 1999.  If several people helped "
 "write the code, use all their names."
 msgstr ""
-"No aviso de copyright incluir o ano em que você acabou de preparar a versão "
-"de lançamento (se você acabou em 1998 e não publicou até 1999, use 1998). "
-"Você deve adicionar o ano de cada versão de <cite>release</cite> "
-"(lançamento); por example, se algumas versões foram terminadas em 1998 e "
-"outras em 1999 “Copyright 1998, 1999 Terry Jones”.  Se varias pessoas "
-"ajudaram a escrever o código, inclua os nomes de todos eles."
+"A nota de copyright deve incluir o ano no qual você acabou de preparar a "
+"versão de lançamento (então, se você acabou em 1998 e não publicou até 1999, "
+"use 1998). Você deve adicionar o ano de cada versão de lançamento; por "
+"exemplo, se algumas versões foram terminadas em 1998 e outras em 1999 "
+"“Copyright 1998, 1999 Terry Jones”. Se várias pessoas ajudaram a escrever o "
+"código, inclua os nomes de todos elas."
 
 #. type: Content of: <p>
 msgid ""
@@ -125,6 +110,12 @@ msgid ""
 "individually; <em>and</em> you make an explicit statement in your "
 "documentation about this usage."
 msgstr ""
+"Para softwares com vários lançamentos ao longo de muitos anos, não há "
+"problema em usar um intervalo (“2008-2010”) em vez de listar anos "
+"individuais (“2008, 2009, 2010”) se, e somente se, todos os anos no "
+"intervalo realmente forem anos “copyrightáveis” que seriam listados "
+"individualmente; <em>e</em> você faria uma declaração explícita em sua "
+"documentação sobre esse uso."
 
 #. type: Content of: <p>
 msgid ""
@@ -135,24 +126,14 @@ msgid ""
 "significance to using the three-character sequence &ldquo;(C)&rdquo;, "
 "although it does no harm."
 msgstr ""
+"Sempre use a palavra em inglês “Copyright”; por convenção internacional, ela "
+"é usada mundialmente, mesmo para materiais em outros idiomas. O símbolo de "
+"copyright “&copy;” pode ser incluído se você assim desejar (e seu conjunto "
+"de caracteres prover suporte para isso), mas não há necessidade. Não há "
+"significância legal em usar a sequência de três caracteres “(C)”, apesar de "
+"não haver problema."
 
 #. type: Content of: <p>
-# | You should also include a copy of the license itself somewhere in the
-# | distribution of your program.  {+All programs, whether they are released
-# | under the GPL or LGPL, should include <a href=\"/licenses/gpl.txt\">the
-# | text version of the GPL</a>.+}  In GNU programs the license is usually in
-# | a file called [-COPYING; it should be the plain ASCII text version of the
-# | license.  Use either <a href=\"/licenses/gpl.txt\"> the text version of
-# | the GPL </a> or <a href=\"/licenses/lgpl.txt\"> the text version Lesser
-# | GPL </a>.-] {+COPYING.+}
-#, fuzzy
-#| msgid ""
-#| "You should also include a copy of the license itself somewhere in the "
-#| "distribution of your program.  In GNU programs the license is usually in "
-#| "a file called COPYING; it should be the plain ASCII text version of the "
-#| "license.  Use either <a href=\"/licenses/gpl.txt\"> the text version of "
-#| "the GPL </a> or <a href=\"/licenses/lgpl.txt\"> the text version Lesser "
-#| "GPL </a>."
 msgid ""
 "You should also include a copy of the license itself somewhere in the "
 "distribution of your program.  All programs, whether they are released under "
@@ -160,11 +141,10 @@ msgid ""
 "version of the GPL</a>.  In GNU programs the license is usually in a file "
 "called COPYING."
 msgstr ""
-"Você deve também incluir uma cópia da licença em algum lugar da distribuição "
-"do seu programa. Em programas GNU, a licença é usualmente colocada num "
-"arquivo chamado “COPYING”; deve ser uma versão da licença escrita em texto "
-"ASCII. Use <a href=\"/licenses/gpl.txt\"> o texto da versão GPL</a> ou <a "
-"href=\"/licenses/lgpl.txt\"> o texto da versão GPL Menor</a>."
+"Você também deve incluir uma cópia da licença em algum lugar da distribuição "
+"do seu programa. Todos os programas, lançamentos sob a GPL ou LGPL, devem "
+"incluir <a href=\"/licenses/gpl.txt\">a versão texto da GPL</a>. Em "
+"programas GNU, a licença é geralmente colocada num arquivo chamado COPYING."
 
 #. type: Content of: <p>
 msgid ""
@@ -175,12 +155,20 @@ msgid ""
 "licenses so users have all the materials they need to understand their "
 "rights."
 msgstr ""
+"Se você está relançando seu programa sob a LGPL, você também deve incluir <a "
+"href=\"/licenses/lgpl.txt\">a versão texto da LGPL</a>, geralmente em um "
+"arquivo chamado COPYING.LESSER. Por favor note que, já que LGPL é um "
+"conjunto de permissões adicionais em cima da GPL, é importante incluir ambas "
+"licenças de forma que usuários tenham todos os materiais que eles precisem "
+"para entender seus direitos."
 
 #. type: Content of: <p>
 msgid ""
 "If you are releasing your program under the GNU AGPL, you only need to "
 "include <a href=\"/licenses/agpl.txt\">the text version of the GNU AGPL</a>."
 msgstr ""
+"Se você está relançando seu programa sob a GNU AGPL, você só precisa incluir "
+"<a href=\"/licenses/agpl.txt\">a versão texto da GNU AGPL</a>."
 
 # a frase naum ficou legal, ao traduzir "right near the top of each file", 
 # naum achei uma traducao melhor que esta.
@@ -191,7 +179,7 @@ msgid ""
 "right near the top of each file."
 msgstr ""
 "Se você copiou o código de outros programas regidos pela mesma licença, "
-"copie os avisos de copyright também.  Coloque todos os copyright juntos, no "
+"copie as notas de copyright também. Coloque todos os copyright juntos, no "
 "lado direito, perto do topo de cada arquivo."
 
 #. type: Content of: <p>
@@ -201,8 +189,8 @@ msgid ""
 "with the legal issues of applying the license."
 msgstr ""
 "É muito importante, por razões práticas, incluir informações de contato para "
-"quem quiser entrar contato com você,talvez no arquivo “README”, mas isso não "
-"tem nada a ver com os casos legais de aplicação da licença."
+"quem quiser entrar contato com você, talvez no arquivo “README”, mas isso "
+"não tem nada a ver com os casos legais de aplicação da licença."
 
 #. type: Content of: <p>
 msgid ""
@@ -210,7 +198,7 @@ msgid ""
 "notices.  For a one-file program, the statement (for the GPL)  should look "
 "like this:"
 msgstr ""
-"A declaração da permissão de cópia deve vir depois dos avisos de copyright. "
+"A declaração da permissão de cópia deve vir depois das notas de copyright. "
 "Para um arquivo de programa, a declaração (para a GPL) deve parecer com isso:"
 
 #. type: Content of: <pre>
@@ -242,17 +230,17 @@ msgstr ""
 "    You should have received a copy of the GNU General Public License\n"
 "    along with this program.  If not, see &lt;http://www.gnu.org/licenses/&gt;.\n"
 "\n"
-"Tradução não-oficial:\n"
+"Tradução não oficial:\n"
 "\n"
 "    Este programa é um software livre; você pode redistribuí-lo e/ou \n"
-"    modificá-lo dentro dos termos da Licença Pública Geral GNU como \n"
-"    publicada pela Fundação do Software Livre (FSF); na versão 3 da \n"
-"    Licença, ou (na sua opinião) qualquer versão.\n"
+"    modificá-lo sob os termos da Licença Pública Geral GNU como publicada\n"
+"    pela Fundação do Software Livre (FSF); na versão 3 da Licença,\n"
+"    ou (a seu critério) qualquer versão posterior.\n"
 "\n"
 "    Este programa é distribuído na esperança de que possa ser útil, \n"
 "    mas SEM NENHUMA GARANTIA; sem uma garantia implícita de ADEQUAÇÃO\n"
 "    a qualquer MERCADO ou APLICAÇÃO EM PARTICULAR. Veja a\n"
-"    Licença Pública Geral GNU para maiores detalhes.\n"
+"    Licença Pública Geral GNU para mais detalhes.\n"
 "\n"
 "    Você deve ter recebido uma cópia da Licença Pública Geral GNU junto\n"
 "    com este programa. Se não, veja &lt;http://www.gnu.org/licenses/&gt;.\n"
@@ -264,9 +252,10 @@ msgid ""
 "this program&rdquo; with the name of the program, and begin the statement "
 "with a line saying &ldquo;This file is part of NAME&rdquo;.  For instance,"
 msgstr ""
-"Para programas com mais de uma arquivo, é melhor substituir o “este pelo "
-"nome do programa, e começar a declaração com “Este arquivo é parte do "
-"programa 'NOME'”. Por exemplo"
+"Para programas com mais de um arquivo, é melhor substituir o “this "
+"programa” (“este programa”) pelo nome do programa, e começar a declaração "
+"com “This file is part of NAME” (“Este arquivo é parte do programa NOME”). "
+"Por exemplo,"
 
 #. type: Content of: <pre>
 #, no-wrap
@@ -301,14 +290,14 @@ msgstr ""
 "    You should have received a copy of the GNU General Public License\n"
 "    along with Foobar.  If not, see &lt;http://www.gnu.org/licenses/&gt;.\n"
 "\n"
-"Tradução não-oficial:\n"
+"Tradução não oficial:\n"
 "\n"
 "    Este arquivo é parte do programa Foobar\n"
 "\n"
 "    Foobar é um software livre; você pode redistribuí-lo e/ou \n"
 "    modificá-lo dentro dos termos da Licença Pública Geral GNU como \n"
 "    publicada pela Fundação do Software Livre (FSF); na versão 3 da \n"
-"    Licença, ou (na sua opinião) qualquer versão.\n"
+"    Licença, ou (a seu critério) qualquer versão posterior.\n"
 "\n"
 "    Este programa é distribuído na esperança de que possa ser  útil, \n"
 "    mas SEM NENHUMA GARANTIA; sem uma garantia implícita de ADEQUAÇÃO\n"
@@ -320,18 +309,6 @@ msgstr ""
 "\n"
 
 #. type: Content of: <p>
-# | This statement should go near the beginning of every source file, close to
-# | the copyright notices.  [-For-]  {+When+} using the Lesser GPL, insert the
-# | word &ldquo;Lesser&rdquo; before [-&ldquo:General&rdquo;-]
-# | {+&ldquo;General&rdquo; in <em>all three</em> places.  When using the GNU
-# | AGPL, insert the word &ldquo;Affero&rdquo; before &ldquo;General&rdquo;+}
-# | in <em>all three</em> places.
-#, fuzzy
-#| msgid ""
-#| "This statement should go near the beginning of every source file, close "
-#| "to the copyright notices.  For using the Lesser GPL, insert the word "
-#| "&ldquo;Lesser&rdquo; before &ldquo:General&rdquo; in <em>all three</em> "
-#| "places."
 msgid ""
 "This statement should go near the beginning of every source file, close to "
 "the copyright notices.  When using the Lesser GPL, insert the word &ldquo;"
@@ -339,9 +316,11 @@ msgid ""
 "When using the GNU AGPL, insert the word &ldquo;Affero&rdquo; before &ldquo;"
 "General&rdquo; in <em>all three</em> places."
 msgstr ""
-"Este documento deve ir no começo de cada arquivo fonte, perto dos avisos de "
-"copyright. Para usar a GPL Menor, coloque a palavra “Menor” depois de "
-"“Geral” em <em>todos</em> lugares."
+"Este documento deve ir no começo de cada arquivo fonte, perto das notas de "
+"copyright. Ao usar a GPL Menor, coloque a palavra “<cite>Lesser</cite>” "
+"antes de “<cite>General</cite>” em <em>todos os três</em> lugares. Ao usar a "
+"GNU AGPL, coloque a palavra “<cite>Affero</cite>” antes de “<cite>General</"
+"cite>” em <em>todos os três</em> lugares."
 
 #. type: Content of: <p>
 msgid ""
@@ -350,10 +329,10 @@ msgid ""
 "starts up.  See <a href=\"/licenses/gpl-3.0.html#howto\">the end of the GNU "
 "GPL</a> for more information about this."
 msgstr ""
-"Para programas interativos, é uma boa idéia fazer o programa escrever na "
-"tela um breve aviso de copyright e de permissão de cópia quando ele começar. "
-"Veja <a href=\"/licenses/gpl.html#howto\"> o final da GPL GNU</a> para mais "
-"informação sobre isso."
+"Para programas interativos, é uma boa ideia fazer o programa escrever na "
+"tela uma breve nota de copyright e de permissão de cópia quando ele começar. "
+"Veja <a href=\"/licenses/gpl-3.0.html#howto\">o final da GPL GNU</a> para "
+"mais informação sobre isso."
 
 #. type: Content of: <p>
 msgid ""
@@ -365,6 +344,13 @@ msgid ""
 "method that's suitable for your specific program&mdash;see section 13 for "
 "details."
 msgstr ""
+"Se você está relançando seu programa sob a GNU AGPL, e ele pode interagir "
+"com usuários pela rede, o programa deve oferecer seu fonte para aqueles "
+"usuários de alguma forma. Por exemplo, se seu programa é um aplicativo web, "
+"sua interface poderia exigir um link “<cite>Source</cite>” que leva os "
+"usuários para um pacote do código. A GNU AGPL é flexível o suficiente para "
+"permitir que você escolha um método que seja mais adequado para seu programa "
+"específico&mdash;veja seção 13 para detalhes."
 
 #. type: Content of: <p>
 msgid ""
@@ -374,12 +360,12 @@ msgid ""
 "that puts you in a stronger position against anyone who violates the license "
 "in the US.  Most other countries have no system of copyright registration."
 msgstr ""
-"Não há requerimentos legais para registrar o seu copyright em qualquer "
-"lugar; a simples distribuição do programa o torna protegido por copyright. "
-"Contudo, é uma boa idéia resgistrar o copyright no Registro Americano de "
-"Copyrights, o que coloca você em uma forte posição contra quem violar a sua "
-"licença nos E.U.A.  A maioria dos paises não possuem um sistema de registro "
-"de copyright."
+"Não há requisitos legais para registrar o seu copyright em qualquer lugar; a "
+"simples distribuição do programa o torna protegido por copyright. Contudo, é "
+"uma boa ideia registrar o copyright no escritório de registros de Copyrights "
+"dos EUA (<cite>US Copyright Office</cite>), o que coloca você em uma forte "
+"posição contra quem violar a sua licença nos EUA. A maioria dos países não "
+"possuem um sistema de registro de copyright."
 
 #. type: Content of: <p>
 msgid ""
@@ -388,6 +374,11 @@ msgid ""
 "sample copyright disclaimer; just alter the names and program description as "
 "appropriate:"
 msgstr ""
+"É aconselhável solicitar que seu empregador ou sua escola, se for o caso, "
+"assine um aviso legal de renúncia de copyright para a obra, de forma que "
+"eles não possam, posteriormente, alegar serem detentores desta. Abaixo está "
+"um exemplo de aviso legal de renúncia de copyright; basta alterar nomes e "
+"descrição do programa conforme apropriado:"
 
 #. type: Content of: <blockquote><p>
 msgid ""
@@ -395,31 +386,32 @@ msgid ""
 "&ldquo;Gnomovision&rdquo; (which makes passes at compilers) written by James "
 "Hacker."
 msgstr ""
+"Yoyodyne, Inc., por meio deste renuncia todo e qualquer interesse no "
+"copyright do programa “Gnomovision” (que criar passes em compiladores) "
+"escrito por James Hacker."
 
 #. type: Content of: <blockquote><p>
 msgid "&lt;signature of Moe Ghoul&gt;, 1 April 1989"
-msgstr ""
+msgstr "&lt;assinatura de Moe Ghoul&gt;, 1ª de Abril de 1989"
 
 #. type: Content of: <blockquote><p>
 msgid "Moe Ghoul, President of Vice"
-msgstr ""
+msgstr "Moe Ghoul, Presidente da Vice"
 
 # Diretório dos Softwares Livres: rever a traducao disso.
 #. type: Content of: <p>
-#, fuzzy
 msgid ""
 "We would like to list all free software programs in the Free Software "
 "Directory, including all programs licensed under the GPL (any version).  "
 "Please see the <a href=\"http://directory.fsf.org/\">Directory web page</a> "
 "for information and an online submission form."
 msgstr ""
-"Nós gostariamos de listar todos programas livres no Diretório do Software "
-"Livre, incluindo todos os programas licenciados sob a GPL (qualquer versão). "
-"Por favor, consulte <a href=\"http://directory.fsf.org/\"> a pagina do "
-"Diretório</a> para obter informações e um formulário de submissão on-line."
+"Nós gostaríamos de listar todos programas de software livre no Diretório de "
+"Software Livre, inclusive todos aqueles licenciados sob a GPL (qualquer "
+"versão). Por favor, consulte a <a href=\"http://directory.fsf.org/\">pagina "
+"do Diretório</a> para obter informações e um formulário de submissão on-line."
 
 #. type: Content of: <p>
-#, fuzzy
 msgid ""
 "It is also possible to make your program a GNU package, a part of the GNU "
 "Project.  (That's if we like the program&mdash;we have to look at it first, "
@@ -427,25 +419,14 @@ msgid ""
 "in this way, please see our <a href=\"/help/evaluation.html\">GNU software "
 "evaluation page</a> for more information and a short questionnaire."
 msgstr ""
-"Também é possivel incluir o seu programa num pacote GNU, uma parte do "
-"Projeto GNU. (Isto é, se nós gostarmos do programa — irremos olhar o "
-"programa primeiro para decidir.) Se lhe interessa entrar no Projeto GNU por "
-"essa maneira, consulte a nossa <a href=\"/help/evaluation.html\"> página de "
-"avaliação do software GNU</a> para obter mais informações e um breve "
+"Também é possível fazer do seu programa um pacote GNU, uma parte do Projeto "
+"GNU. (Isto é, se nós gostarmos do programa&mdash;olharemos o programa "
+"primeiro para decidir.) Se lhe interessa entrar no Projeto GNU por essa "
+"maneira, por favor consulte a nossa <a href=\"/help/evaluation.html\">página "
+"de avaliação do software GNU</a> para obter mais informações e um breve "
 "questionário."
 
 #. type: Content of: <p>
-# | But you [-can-] {+are welcome to+} use [-the GPL or the Lesser GPL-] {+any
-# | of our licenses+} even if your program is not a GNU [-package.  Anyone
-# | can-] {+package; indeed, we hope you will.  They're available to everyone.
-# |  If you'd like to advertise your+} use [-these licenses.-] {+of a
-# | particular license, feel free to use <a
-# | href=\"/graphics/license-logos.html\" title=\"GNU License Logos\">one of
-# | our logos</a>.+}
-#, fuzzy
-#| msgid ""
-#| "But you can use the GPL or the Lesser GPL even if your program is not a "
-#| "GNU package.  Anyone can use these licenses."
 msgid ""
 "But you are welcome to use any of our licenses even if your program is not a "
 "GNU package; indeed, we hope you will.  They're available to everyone.  If "
@@ -453,8 +434,11 @@ msgid ""
 "<a href=\"/graphics/license-logos.html\" title=\"GNU License Logos\">one of "
 "our logos</a>."
 msgstr ""
-"Contudo, você poderá usar a GPL ou a GPL Menor nos seus programas mesmo eles "
-"não sendo um programa do pacote GNU. Qualquer um pode usar as licenças."
+"Contudo, você pode usar qualquer uma de nossas licenças mesmo se seu "
+"programa não for um pacote GNU; de fato, esperamos que você o faça. Elas "
+"estão disponíveis para todo mundo. Se você gostaria de divulgar seu uso de "
+"uma licença específica, sinta-se à vontade para usar <a href=\"/graphics/"
+"license-logos.html\" title=\"GNU License Logos\">uma de nossas logos</a>."
 
 #. TRANSLATORS: Use space (SPC) as msgstr if you don't have notes.
 #. type: Content of: <div>
@@ -503,11 +487,12 @@ msgstr ""
 "envio de traduções das páginas desse site."
 
 #. type: Content of: <div><p>
-#, fuzzy
 msgid ""
 "Copyright &copy; 2001, 2007, 2008, 2009, 2013, 2014 Free Software "
 "Foundation, Inc."
-msgstr "Copyright &copy; 2001 Free Software Foundation, Inc."
+msgstr ""
+"Copyright &copy; 2001, 2007, 2008, 2009, 2013, 2014 Free Software "
+"Foundation, Inc."
 
 #. type: Content of: <div><p>
 msgid ""
@@ -523,8 +508,10 @@ msgstr ""
 #. type: Content of: <div><div>
 msgid "*GNUN-SLOT: TRANSLATOR'S CREDITS*"
 msgstr ""
-"Traduzido por: Hélder M. Botter Ribas <a href=\"mailto:helder@grad.icmc.sc."
-"usp.br\">&lt;helder@grad.icmc.sc.usp.br&gt;</a>"
+"<b>Traduzido por</b>: Hélder M. Botter Ribas <a href=\"mailto:helder@grad."
+"icmc.sc.usp.br\">&lt;helder@grad.icmc.sc.usp.br&gt;</a>, 2001; Rafael "
+"Fontenelle <a href=\"mailto:rafaelff@gnome.org\">&lt;rafaelff@gnome.org&gt;</"
+"a>, 2016"
 
 # type: Content of: <div><p>
 #.  timestamp start 